use v5.10;
use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile(
    NAME             => 'Assert::Conditional',
    AUTHOR           => q{Tom Christiansen <tchrist@perl.com>},
    VERSION_FROM     => 'lib/Assert/Conditional.pm',
    ABSTRACT_FROM    => 'lib/Assert/Conditional.pm',
    LICENSE          => 'perl_5',
    PL_FILES         => {},
    MIN_PERL_VERSION => 5.010,
    CONFIGURE_REQUIRES => {
        'ExtUtils::MakeMaker' => 0,
    },
    BUILD_REQUIRES => {
        'Test::More' => 1.001014,
        'Test::Exception' => 0.38,
        'IO::File' => 0,
        'IO::Handle' => 0,
    },
    PREREQ_PM => {

        "parent"                     =>  0.225,
        "Attribute::Handlers"        =>  0.93,
        "B"                          =>  1.35,
        "Carp"                       =>  1.33,
        "Config"                     =>  0,
        "Data::Dumper"               =>  2.154,
        "Env"                        =>  0,
        "Exporter"                   =>  5.66,
        "Exporter::ConditionalSubs"  =>  1.01,
        "File::Basename"             =>  0,
        "File::Spec"                 =>  0,
        "POSIX"                      =>  0,
        "Scalar::Util"               =>  0,
        "Tie::Hash"                  =>  1.04,
        "Unicode::Collate"           =>  0.89,
        "Unicode::Normalize"         =>  1.14,

    },
    dist  => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
    clean => { FILES => 'Assert-Conditional-*' },
);
